function [] = map_puddingstone (lat, lon, quantity)

figure('Position',[0 0 1400 1200])
hold on
%title('Predicted Wireless Signal Strength (dBm)')
ylabel('latitude')
xlabel('longitude')

[A, R, bbox] = geotiffread('./puddingstone_dam.tiff');
mapshow(A,R);
%axis([R.Lonlim(1) R.Lonlim(2) R.Latlim(1) R.Latlim(2)])
%axis([bbox(1,1) bbox(2,1) bbox(1,2) bbox(2,2)]);

%axis([-117.813 -117.809 34.0862 34.090]);
axis([-117.812 -117.8095 34.0862 34.088]);

% make all text in the figure to size 14 and bold
set(gca,'FontSize',16)
set(findall(gcf,'type','text'),'FontSize',16) %,'fontWeight','bold')

%lat = data(:,1);
%lon = data(:,2);
%quantity = data(:,3);
%lake_depth = data(:,4);
scatter( lon, lat, 120, quantity, 'filled','s');   

colorbar;
% limit the scale to ignore 999 values.

caxis([min(quantity) max(quantity)]);
%caxis([0.0646 .8346]);

end